
package de.ivu.elect.presentation.exchange;

import java.util.List;

import javax.annotation.Nullable;

import de.ivu.elect.business.datei.entity.FileType;
import de.ivu.elect.business.exchange.control.FileFormat;
import de.ivu.elect.business.security.UseCasePermission;

public interface ExportView<C> {

  UseCasePermission getUseCasePermission();

  boolean isSupportedFileFormatsRendered();

  List<FileFormat> getSupportedFileFormats();

  ExportViewResult export(FileFormat fileFormat, C context, /* ELECT-7806 */ @Nullable FileType finaleKonvertierung);

  boolean isSupportsFinaleKonvertierung(FileType fileType); // ELECT-7806
}
